var $ = jQuery;
$(function() {

	//Получить список групп по ID курса
    $("#SelectGrade").change(function() {
        var gradeID = $(this).val(); 
        if (gradeID >= 0)
        {
            $.post(
                g_URLdir + "handler/GetData/GetGroups",
                {   
                    "GradeID": gradeID 
                },
                function(d){
                    d = $.parseJSON(d);
                    if(d.success === true) {
                    	console.log(d.data);
                    	var selectGroup = $("#SelectGroup");
                    	var i = 0;
                    	selectGroup.html("<option>-Не выбрана-</option>");
                    	for (i in d.data)
                    	{
                    		group = d.data[i];
                    		selectGroup.append("<option value='"+ group.ID +"'>Группа "+ group.GroupNum +" ("+ group.SpecAbbr +")</option>");
                    		selectGroup.removeAttr("disabled");
                    	}
                    	$("#DownloadStatement").removeAttr("disabled");
                    }
                }
            );
        }
    });

    // Скачать ведомость
     $('body').on('click', '#DownloadStatement', function(){
        $.fileDownload( g_URLdir + 'handler/FileCreator/GenerateFullStatement', {
            httpMethod: "POST",
            data: 
            {
                "GroupID": parseInt($("#SelectGroup").val()),
                "ExamType": $("#ExamType").val() 
            },
            successCallback: function () {

            },
            failCallback: function () {

            }
        });
    });

});